DSC_0036.jpg=Debbie and Mary
DSC_0069.jpg=Mary
DSC_0114.jpg=Mary and Debbie
DSC_0062.jpg=Debbie and Hil K
DSC_0020.jpg=Kathy
DSC_0037.jpg=Hil K and Debbie
DSC_0038.jpg=Hil K and Debbie
DSC_0018.jpg=Augustina
DSC_0028.jpg=Daryl and Hil K
DSC_0124.jpg=Robby
DSC_0015.jpg=Cortney and Debbie with Wex and Duffy.
DSC_0134.jpg=Joe
DSC_0110.jpg=Daryl
DSC_0133.jpg=Drew
DSC_0095.jpg=Hil K
DSC_0118.jpg=Daryl
DSC_0035.jpg=Debbie, Mary and Hil K
DSC_0056.jpg=Drew
DSC_0158.jpg=Robby
DSC_0130.jpg=Cortney
DSC_0129.jpg=Annie
DSC_0045_2.jpg=Mary D
DSC_0091.jpg=Augustina
DSC_0089.jpg=Annie
